# draugr.os_utilities.linux_utilities.systemd_utilities.service_management

Created on 17/03/2020

Functions

`install_service`(service_entry_point_path, ...) | :param : param template: :param : type template: :param : param restart: :param : param service_entry_point_path: :param : param service_name: :param : param description: :param : param auto_enable: :param : param run_as:
`remove_service`(service_name, *[, ...]) | :param : param get_sudo: :param : param service_name: :param : param remove_app_user: :param : param run_as:

`enable_service`(service_name, *[, get_sudo, ...])

param service_name

`disable_service`(service_name, *[, get_sudo, ...])

param service_name

`start_service`(service_name, *[, get_sudo, ...])

param service_name

`stop_service`(service_name, *[, get_sudo, run_as])

param service_name

`restart_service`(service_name, *[, get_sudo, ...])

param service_name

`status_service`(service_name, *[, get_sudo, ...])

param service_name

Classes

`RunAsEnum`(value) | description